com.streambase.sb.unittest

## Interface SBTestEnvironment

- All Known Implementing Classes:
    BaseTestEnvironment

      public interface SBTestEnvironment

  This interface is not expected to be implemented by end-users. Use `BaseTestEnvironment.DEFAULT_ENVIRONMENT` if you need a default instance to use for an `SBServerManager`.
  Since:
    6.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConf()`
    `NowImplementation` | `getNowImpl()`
    `boolean` | `isAppDebuggingEnabled()`
    `boolean` | `isIntermediateStreamDequeueEnabled()`
    `void` | `setNowImpl(NowImplementation nowImpl)` Set the current implementation of now() function

- - ### Method Detail

    - #### isIntermediateStreamDequeueEnabled

          boolean isIntermediateStreamDequeueEnabled()

      Returns:
        whether intermediate stream dequeueing should be enabled

    - #### isAppDebuggingEnabled

          boolean isAppDebuggingEnabled()

      Returns:
        whether the debugger should be enabled

    - #### getConf

          String getConf()
                  throws StreamBaseException

      Returns:
        the contents of a StreamBase configuration file that should not be null
      Throws:
        `StreamBaseException` - if any error occurs accessing the configuration

    - #### getNowImpl

          NowImplementation getNowImpl()

      Returns:
        the `NowImplementation` value corresponding to the current implementation of now() function
      Since:
        7.4

    - #### setNowImpl

          void setNowImpl(NowImplementation nowImpl)
                   throws StreamBaseException

      Set the current implementation of now() function
      Parameters:
        `nowImpl` - the `NowImplementation` value corresponding to the current implementation of now() function
      Throws:
        `StreamBaseException` - if any error occurs
      Since:
        7.4

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.